Skip to main content
POST
Fetch best podcasts list

Request contract

  • Method and path: POST /apis/v1/listennotes/fetch-a-list-of-best-podcasts-by-genre
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/listennotes/fetch-a-list-of-best-podcasts-by-genre
  • Runtime facts: 3f699076c1baf63c05edde2629715e34586e70ee0982cdee89366394f35facf8
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Usage-based billing; Default request estimate: $0.0403 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.0403
  • Declared unit rate (USD): 1e-06
  • Billing unit: provider_credit
  • Cost contract: response_units
  • Published reference multiplier: 1.0
  • Declared maximum count/units: 10000000
  • Settlement evidence source: response_body

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
page
integer

Page number of those podcasts in this genre.

sort
enum<string>
default:recent_added_first

How do you want to sort these podcasts? If you"d like to sort by popularity, please use listen_score.

Available options:
listen_score,
oldest_added_first,
oldest_published_first,
recent_added_first,
recent_published_first
region
string
default:us

Filter best podcasts by country/region. Please note that podcasts that are "best" in a country/region may not be produced in that country/region. For example, a podcast from the US may be very popular in Canada. You can get the supported country codes (e.g., us, jp, gb...) from GET /regions. If not specified, you"ll get "best podcasts" in United States.

genre_id
string

You can get the id from GET /genres. If not specified, it"ll be the overall best podcasts, which can be considered as a special genre.

language
string

Filter best podcasts by language. You can get a list of supported languages (e.g., English, Chinese, Japanese...) from GET /languages. If not specified, you"ll get "best podcasts" in any language.

safe_mode
integer
default:0

Whether or not to exclude podcasts with explicit language. 1 is yes, and 0 is no.

publisher_region
string

Filter best podcasts by the publisher"s country/region. This is to narrow down the results to include "best podcasts" produced in a specific country/region. You can get the supported country codes (e.g., us, jp, gb...) from GET /regions. If not specified, you"ll get "best podcasts" produced in any country/region. If you want to get a country/region"s "best podcasts" that are also produced in that country/region, then you need to specify both region and publisher_region, e.g., region=jp and publisher_region=jp.

Response

Tool result data

data
object
required